Subject: bug#12806: 24.3.50; Dead keys misbehavior when scroll-lock is enabled

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Nov 2012 23:50:06 +0200

> Date: Wed, 7 Nov 2012 22:29:55 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> > I reverted the previous change and committed a different one, please
> > see if it solves the problems.
> 
> Thanks.  This is what I see now:
> * C-M-u works again, regardless of the scroll-lock setting.
> * The dead keys don't work (same misbehavior already described), also
> regardless of the scroll-lock setting.
> * The caps-lock key doesn't work: letters are written in lowercase,
> regardless of its setting.

The last one works for me just fine.  Are you sure caps-lock does not
work at all, no matter what the state of the various "lock" keys?  If
that only happened when Num Lock was on, then I fixed that in revision
110826.